QXmppVCardAddress Class Reference

Represent a vCard address. More...

`#include <QXmppVCardIq.h>`

## Public Types

enum | TypeFlag { None = 0x0 , Home = 0x1 , Work = 0x2 , Postal = 0x4 , Preferred = 0x8 }
| Describes e-mail address types.

## Public Member Functions

| QXmppVCardAddress ()
| Constructs an empty address.
| QXmppVCardAddress (const QXmppVCardAddress &other)
| Constructs a copy of other.
QXmppVCardAddress & | operator= (const QXmppVCardAddress &other)
| Assigns other to this address.
QString | country () const
| Returns the country.
void | setCountry (const QString &country)
| Sets the country.
QString | locality () const
| Returns the locality.
void | setLocality (const QString &locality)
| Sets the locality.
QString | postcode () const
| Returns the postcode.
void | setPostcode (const QString &postcode)
| Sets the postcode.
QString | region () const
| Returns the region.
void | setRegion (const QString &region)
| Sets the region.
QString | street () const
| Returns the street address.
void | setStreet (const QString &street)
| Sets the street address.
Type | type () const
| Returns the address type, which is a combination of TypeFlag.
void | setType (Type type)
| Sets the address type, which is a combination of TypeFlag.

## Detailed Description

Represent a vCard address.

The documentation for this class was generated from the following files:

- QXmppVCardIq.h
- QXmppVCardIq.cpp